<?php
class PuntoVentaModel extends Query{
    private $id_puntoventa,$codigoSucursal,$codigoPuntoVenta,$cuis,$vigenciaCuis,$codigoTipoPuntoVenta,$descripcion;
    public function __construct()
    {
        parent::__construct();
        
    }

    public function getPuntoVenta()
    {
        $sql = "select puntoventa.id_puntoVenta as id,puntoventa.cuis as cuis,
        puntoventa.vigenciaCuis as vigencia, puntoventa.descripcion as descripcion, 
        puntoventa.codigopuntoventa as codigopuntoventa, sucursal.descripcion as sdescripcion, puntoventa.codigoSucursal as id_sucursal , puntoventa.vigenciaCuis as vigenciaCuis
        from puntoventa, sucursal 
        where puntoventa.codigosucursal=sucursal.codigosucursal";
        $data = $this->selectAll($sql);
        return $data;
    }

    
    public function registrarPuntoVenta(int $codigoSucursal,int $codigoPuntoVenta,string $cuis,string $vigenciaCuis,int $codigoTipoPuntoVenta,string $descripcion){
        $this->codigoSucursal=$codigoSucursal;
        $this->codigoPuntoVenta=$codigoPuntoVenta;
        $this->cuis=$cuis;
        $this->vigenciaCuis=$vigenciaCuis;
        $this->codigoTipoPuntoVenta=$codigoTipoPuntoVenta;
        $this->descripcion=$descripcion;
        $sql= "insert into puntoventa (codigoSucursal,codigoPuntoVenta,cuis,vigenciaCuis,codigoTipoPuntoVenta,descripcion) values (?,?,?,?,?,?)";
        $datos= array($this->codigoSucursal,
                    $this->codigoPuntoVenta,
                    $this->cuis,
                    $this->vigenciaCuis,
                    $this->codigoTipoPuntoVenta,
                    $this->descripcion
                    );
        $data=$this->save($sql,$datos);
        if($data==1){
            $res="ok";
        }else{
            $res="error";
        }
        return $res;
    }

    public function actualizarCuis(string $cuis,string $vigenciaCuis,int $id_puntoVenta){
        $this->cuis=$cuis;
        $this->vigenciaCuis=$vigenciaCuis;
        $this->id_puntoventa=$id_puntoVenta;
        $sql= "update puntoventa set cuis=?,vigenciaCuis=? where id_puntoVenta=?";
        $datos= array($this->cuis,
                    $this->vigenciaCuis,
                    $this->id_puntoventa
                    );
        $data=$this->save($sql,$datos);
        if($data==1){
            $res="ok";
        }else{
            $res="error";
        }
        return $res;
    }

    public function editarPuntoVenta(int $id){
        $sql="select * from puntoventa where id_puntoVenta='$id'";
        $data=$this->select($sql);
        return $data;
    }
    public function eliminar(int $id){
        $sql = "DELETE FROM puntoventa WHERE id_puntoVenta= ?";
        $datos= array($id);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res="ok";
        }else{
            $res="error";
        }
        return $res;
    }

}
?>